"use strict";
/// <reference path="../../typings/index.d.ts" />
Object.defineProperty(exports, "__esModule", { value: true });
const gulp = require("gulp");
const scss_1 = require("./scss");
const svg_1 = require("./svg");
const img_1 = require("./img");
function default_1(params) {
    const scssConfig = params.scss;
    const svgConfig = params.svg;
    const watchConfig = params.watch;
    const filesetScss = {
        src: (scssConfig && scssConfig.src) || './src/entry/index.scss',
        dest: (scssConfig && scssConfig.dest) || './build/css'
    };
    const filesetSvg = {
        src: (svgConfig && svgConfig.src) || './src/asset/svg/*.svg',
        dest: (svgConfig && svgConfig.dest) || './build/svg'
    };
    const gulpScssCompile = scss_1.default.bind(null, filesetScss);
    const gulpSvgCompile = svg_1.default.bind(null, filesetSvg);
    const gulpImgToBuild = img_1.default.bind(null, params.imgDest);
    const watch = () => {
        const scssPath = (watchConfig && watchConfig.scssPath) || './src/**/*.scss';
        const svgPath = (watchConfig && watchConfig.svgPath) || './src/asset/svg/*.svg';
        const imgPath = (watchConfig && watchConfig.imgPath) || './src/asset/img/*.*';
        gulp.watch(scssPath, gulp.parallel((gulp.series(gulpScssCompile))));
        gulp.watch(svgPath, gulp.parallel(gulp.series(gulpSvgCompile)));
        gulp.watch(imgPath, gulpImgToBuild);
    };
    // clean(params.cleanPath);
    return {
        imgToBuild: gulpImgToBuild,
        scssCompile: gulpScssCompile,
        svgCompile: gulpSvgCompile,
        watch
    };
}
exports.default = default_1;
