"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const gulp = require("gulp");
const gulpif = require("gulp-if");
const plumber = require("gulp-plumber");
const sourcemaps = require("gulp-sourcemaps");
const sass = require("gulp-sass");
const autoprefixer = require("gulp-autoprefixer");
const minifycss = require("gulp-minify-css");
function default_1(fileset, type = 'mobile') {
    return __awaiter(this, void 0, void 0, function* () {
        const env = process.env.NODE_ENV;
        const isDev = env && env.trim() === 'development' ? true : false;
        const browsers = type === 'pc' ? ['last 2 versions', 'ie 9', 'Firefox < 20'] : ['Android >= 4.0', 'iOS 8'];
        const gulpTask = yield gulp.src(fileset.src)
            .pipe(gulpif(isDev, plumber()))
            .pipe(gulpif(isDev, sourcemaps.init()))
            .pipe(sass().on('error', sass.logError))
            .pipe(autoprefixer({
            browsers,
            cascade: false
        }))
            .pipe(gulpif(isDev, sourcemaps.write('./', {})))
            .pipe(gulpif(!isDev, minifycss()))
            .pipe(gulp.dest(fileset.dest));
        return gulpTask;
    });
}
exports.default = default_1;
